
QGIS Application - Bug report #16058

Crash when adding WMS layer from MapBox

2017-01-10 11:54 AM - Valerie Anderson

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.18.2 Regression?: No

Operating System: Debian Stretch Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 23973

Description

A custom MapBox layer that is already added as a connected WMS cannot be added to a map without a crash. Here is the following

output from the terminal:

/usr/lib/libqgis_app.so.2.18.2(QgisApp::event(QEvent*)+0x8d)[0x7f46e2746d8d]

src/core/qgsmessagelog.cpp: 45: (logMessage) [46ms] 2017-01-10T14:39:51 Qt

1

 QImage::setColor: Index out of bound 0

src/providers/wms/qgswmsprovider.cpp: 1619: (capabilities) [1ms] Tiled.

src/providers/wms/qgswmsprovider.cpp: 1652: (capabilities) [0ms] capability = 0

src/providers/wms/qgswmsprovider.cpp: 618: (draw) [0ms] Entering.

src/providers/wms/qgswmsprovider.cpp: 684: (draw) [0ms] layer extent:

-20037508.34278924390673637,-20037508.62692910060286522 4.00724e+07x4.0075e+07

src/providers/wms/qgswmsprovider.cpp: 692: (draw) [0ms] view extent:

-20037508.34278924390673637,-20037508.62692910060286522 4.00724e+07x4.0075e+07  res:1252263.578708

src/providers/wms/qgswmsprovider.cpp: 699: (draw) [0ms] tile matrix -2.00375e+07,2.00375e+07 res:78271.5 tilesize:512x512

matrixsize:1x1 id:0

src/providers/wms/qgswmsprovider.cpp: 716: (draw) [0ms] tile number: 1x1 = 1

src/providers/wms/qgswmsprovider.cpp: 859: (draw) [2ms] TILE CACHE total: 1 / 256

src/providers/wms/qgswmsprovider.cpp: 885: (readBlock) [0ms] image height = 32 bytesPerLine = 128

src/providers/wms/qgswmsprovider.cpp: 3287: (getLegendGraphicFullURL) [0ms] getLegendGraphic url is empty

Segmentation fault

History

#1 - 2017-01-10 11:39 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

Please add a URL we can use to replicate the issue.

#2 - 2017-01-11 12:59 PM - Valerie Anderson

https://api.mapbox.com/styles/v1/valerietheblonde/cimiiywz2006rqxnojm2gvwb6/wmts?access_token=pk.eyJ1IjoidmFsZXJpZXRoZWJsb25kZSIsImEiO

JjaW1paXRmb2UwMGNqdmZrdXRkbDRoYjViIn0.imis0dZXt4rNR1Vh6VaJoA

#3 - 2017-01-12 03:03 AM - amedeo fadini

Tried in 2.14.10 and master rev 243f01c under Debian Stretch
Seems it works fine. 

Not confirmed in these version

#4 - 2017-01-12 05:26 AM - Giovanni Manghi

No crashes whatsoever on 2.18.2 on kubuntu 16.02. Please provide exact steps to replicate.

#5 - 2017-01-12 10:41 AM - Valerie Anderson

- File mapbox.wms.layer.whiteout.png added

I'm running code revision ea3fa8d of 2.14.2 - here's the full version from synaptic: 1:2.18.2+git20170108+ea3fa8d+14stretch.

No problems adding it to a new map, crash occurs when added to an existing .qgs file - I've tested it on five of my my maps. It did not crash one map but

did cause each panel to white out, and I've attached a screenshot of that.

#6 - 2017-01-12 01:04 PM - Giovanni Manghi

Valerie Anderson wrote:

I'm running code revision ea3fa8d of 2.14.2 - here's the full version from synaptic: 1:2.18.2+git20170108+ea3fa8d+14stretch.

No problems adding it to a new map, crash occurs when added to an existing .qgs file - I've tested it on five of my my maps. It did not crash one map

but did cause each panel to white out, and I've attached a screenshot of that.

what kind of layers (and in what CRS is the project) do you have in your existing .qgs file?

#7 - 2017-01-18 11:50 PM - Martin Dobias

Also would it be possible for you to run QGIS in gdb and get backtrace of the segfault?

#8 - 2017-02-27 02:46 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback. Please reopen if necessary.

Files

mapbox.wms.layer.whiteout.png 280 KB 2017-01-12 Valerie Anderson
